// --8<--8<--8<--8<--
//
// Copyright (C) 2013 Smithsonian Astrophysical Observatory
//
// This file is part of transform_ray
//
// transform_ray is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// -->8-->8-->8-->8--

#include <iostream>

using namespace std;

#include <tracefctxx/TraceFct.h>

#include "config.h"
#include "usage.hpp"
#include "process.h"
#include "param.h"

int
main(int argc, char *argv[])
{
    TraceFct tf( argv[0], 0, 1 );

    try {

	Pars pars( argc, argv );

	if (pars.version)
	    cerr << argv[0] << " " << VERSION << endl;

	else if ( pars.help )
	    usage();

	else
	    process( pars );


    } catch ( Exception& e ) {


	tf.die( e );

    }

    return EXIT_SUCCESS;
}
